export function isCssLength(string_) {
    if (typeof string_ !== 'string') {
        return false;
    }
    return [
        /^\d{0,10000}\.?\d{1,10000}(vmin|vmax|vh|vw|%|ch|ex|em|rem|in|cm|mm|pt|pc|px)$/,
        /^var\(--\D{1,100}\)$/,
    ].some(regex => regex.test(string_));
}
export function parseCssLength(value) {
    return typeof value === 'number'
        ? value >= 0
            ? `${value}px`
            : undefined
        : isCssLength(value)
            ? value
            : undefined;
}
//# sourceMappingURL=css.js.map