import { isCssLength } from './css.js';
export const Gaps = {
    '4xs': 'var(--gap-4xs)',
    '3xs': 'var(--gap-3xs)',
    '2xs': 'var(--gap-2xs)',
    xs: 'var(--gap-xs)',
    sm: 'var(--gap-sm)',
    md: 'var(--gap-md)',
    lg: 'var(--gap-lg)',
    xl: 'var(--gap-xl)',
    '2xl': 'var(--gap-2xl)',
    '3xl': 'var(--gap-3xl)',
    '4xl': 'var(--gap-4xl)',
};
export function parseGap(gap) {
    if (typeof gap === 'number')
        return `${gap}px`;
    if (typeof gap === 'string') {
        return gap in Gaps
            ? Gaps[gap]
            : isCssLength(gap)
                ? gap
                : '0px';
    }
    return '0px';
}
//# sourceMappingURL=gaps.js.map